<app-header></app-header>
<div class="container mt-5">
  <div class="row">
    <div class="col-lg-10 offset-lg-1">

      <div class="search-box">
        <form class="example-form" [formGroup]="FG">
          <mat-form-field class="w-100">
            <mat-label>Buscar</mat-label>
            <input type="tel" matInput placeholder="Digite para buscar" formControlName="search">
            <mat-icon matSuffix>search</mat-icon>
          </mat-form-field>
        </form>
      </div>

      <div class="blog-list" *ngIf="dataSource && dataSource.length>0">
        <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

          <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> #</th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
          </ng-container>

          <ng-container matColumnDef="title">
            <th mat-header-cell *matHeaderCellDef> Título</th>
            <td mat-cell *matCellDef="let element"> {{element.title}} </td>
          </ng-container>
          <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef> Data</th>
            <td mat-cell *matCellDef="let element"> {{element.created_at | date:'dd/MM/yyyy'}} </td>
          </ng-container>


          <ng-container matColumnDef="image">
            <th mat-header-cell *matHeaderCellDef> Imagem</th>
            <td mat-cell *matCellDef="let element">
              <img class="img-thumbnail img-small" [src]="urlImages+element.image" alt="">
            </td>
          </ng-container>


          <ng-container matColumnDef="option">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element" class="text-end">
              <button mat-icon-button color="primary" aria-label="Example icon button with a home icon" [routerLink]="['/admin/posts/form/'+element.id]">
                <mat-icon>edit</mat-icon>
              </button>
              <button mat-icon-button color="warn" aria-label="Example icon button with a heart icon" (click)="remove(element.id)">
                <mat-icon>delete</mat-icon>
              </button>


            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <mat-paginator
          [pageSizeOptions]="[2, 5, 10, 20]"
          showFirstLastButtons
          aria-label="Selecione o número de elementos"
          [length]="totalItens"
          [pageIndex]="0"
          [pageSize]="qtd"
          (page)="changePaginator($event)"
        >
        </mat-paginator>

        <!--        <div class="box-paginator" *ngIf="this.paginator.getValue()">-->
        <!--          <mat-button-toggle-group name="favoriteColor" aria-label="Favorite Color">-->
        <!--            <mat-button-toggle *ngFor="let item of this.paginator.getValue();let i = index;"-->
        <!--                               [ngClass]="{'active':item.active}"-->
        <!--                               (click)="goToPaginator(getLabelPaginator(i, item.label))"-->
        <!--                               [disabled]="(page==1 && i==0) || (page==last_page && i == (last_page+1))">-->
        <!--              {{ getLabelPaginator(i, item.label) }}-->
        <!--            </mat-button-toggle>-->
        <!--          </mat-button-toggle-group>-->
        <!--        </div>-->

      </div>


    </div>
  </div>
</div>

<button class="floating-buttons" mat-fab color="primary" aria-label="Adicionar novo" [routerLink]="['/admin/posts/form']">
  <mat-icon>add</mat-icon>
</button>
